Bug 1002268 - error when i try to open network
error when i try to open network
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-network (Show other bugs)
5.10
Unspecified Linux
unspecified Severity high
: rc
: ---
Assigned To: Harald Hoyer
qe-baseos-daemons
:
Depends On:
Blocks: 1049888
  Show dependency treegraph
 
Reported: 2013-08-28 14:44 EDT by TECRAD
Modified: 2015-08-28 13:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-06 11:09:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SYSTEM-CONFIG-NETWORK ERROR. (1.75 KB, text/plain)
2013-08-28 14:44 EDT, TECRAD
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 99270587 None None None Never

  None (edit)
Description TECRAD 2013-08-28 14:44:04 EDT
Created attachment 791504 [details]
SYSTEM-CONFIG-NETWORK ERROR.

Description of problem:


when i try to open the network list..appear this bug.


HComponent: system-config-network
Version: 1.3.26
Summary: TBed53f109 Conf.py:279:read:IOError: [Errno 5] Input/output error

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 166, in main
    window = mainDialog()
  File "/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 262, in __init__
  File "/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 294, in load
  File "/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 302, in loadDevices
  File "/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 294, in getDeviceList
  File "/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 69, in load
  File "/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 776, in getHardwareList
  File "/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 631, in load
  File "/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 142, in __init__
  File "/usr/lib64/python2.4/site-packages/rhpl/Conf.py", line 181, in __init__
    self.read()
  File "/usr/src/build/556832-noarch/install/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 145, in read
  File "/usr/lib64/python2.4/site-packages/rhpl/Conf.py", line 279, in read
    self.lines = self.file.readlines()
IOError: [Errno 5] Input/output error

Local variables in innermost frame:
file_exists: 1
self: <netconfpkg.NCHardwareList.ConfHWConf instance at 0x2aaab0b73a28>


i dont know what it is..thanks
Comment 1 Harald Hoyer 2013-12-16 06:20:01 EST
what is the contents of /etc/sysconfig/hwconf?

# ls -l /etc/sysconfig/hwconf
# cat /etc/sysconfig/hwconf


If it does not exist, does it help to touch the file?

# touch /etc/sysconfig/hwconf
Comment 2 Eric Dubé 2013-12-18 16:53:22 EST
Where did this version (1.3.26) of system-config-network listed in your attached trace come from? The version that ships with Red Hat Enterprise Linux 5 is based on 1.3.99. Thanks.
Comment 3 Eric Dubé 2014-01-06 11:09:04 EST
Closing issue due to lack of information about the reported version. If more information can be provided, please re-open request.

Note You need to log in before you can comment on or make changes to this bug.